<?php

if ( class_exists("Kirki")){

	// HEADER SECTION

	Kirki::add_section( 'photographer_elementor_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'photographer-elementor' ),
	    'description'    => esc_html__( 'Here you can add header information.', 'photographer-elementor' ),
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'photographer_elementor_sticky_header',
		'label'       => esc_html__( 'Enable/Disable Sticky Header', 'photographer-elementor' ),
		'section'     => 'photographer_elementor_section_header',
		'default'     => 0,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'photographer-elementor' ),
			'off' => esc_html__( 'Disable', 'photographer-elementor' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'photographer_elementor_menu_size_heading',
		'section'     => 'photographer_elementor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Menu Font Size(px)', 'photographer-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', array(
		'settings'    => 'photographer_elementor_menu_size',
		'label'       => __( 'Enter a value in pixels. Example:20px', 'photographer-elementor' ),
		'type'        => 'text',
		'section'     => 'photographer_elementor_section_header',
		'transport' => 'auto',
		'output' => array(
			array(
				'element'  => array( '#main-menu a', '#main-menu ul li a', '#main-menu li a'),
				'property' => 'font-size',
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'photographer_elementor_menu_text_transform_heading',
		'section'     => 'photographer_elementor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Menu Text Transform', 'photographer-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', array(
		'type'        => 'select',
		'settings'    => 'photographer_elementor_menu_text_transform',
		'section'     => 'photographer_elementor_section_header',
		'default'     => 'capitalize',
		'choices'     => [
			'none' => esc_html__( 'Normal', 'photographer-elementor' ),
			'uppercase' => esc_html__( 'Uppercase', 'photographer-elementor' ),
			'lowercase' => esc_html__( 'Lowercase', 'photographer-elementor' ),
			'capitalize' => esc_html__( 'Capitalize', 'photographer-elementor' ),
		],
		'output' => array(
			array(
				'element'  => array( '#main-menu a', '#main-menu ul li a', '#main-menu li a'),
				'property' => ' text-transform',
			),
		),
	 ) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'photographer_elementor_enable_button_heading',
		'section'     => 'photographer_elementor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Appointment Button', 'photographer-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    => esc_html__( 'Button Text', 'photographer-elementor' ),
		'settings' => 'photographer_elementor_header_button_text',
		'section'  => 'photographer_elementor_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'url',
		'label'    =>  esc_html__( 'Button Link', 'photographer-elementor' ),
		'settings' => 'photographer_elementor_header_button_url',
		'section'  => 'photographer_elementor_section_header',
		'default'  => '',
	] );


	Kirki::add_field( 'theme_config_id', array(
		'settings'    => 'photographer_elementor_menu_color',
		'label'       => __( 'Menu Color', 'photographer-elementor' ),
		'type'        => 'color',
		'section'     => 'photographer_elementor_section_header',
		'transport' => 'auto',
		'default'     => '#000000',
		'choices'     => [
			'alpha' => true,
		],
		'output' => array(
			array(
				'element'  => array( '#main-menu a', '#main-menu ul li a', '#main-menu li a'),
				'property' => 'color',
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', array(
		'settings'    => 'photographer_elementor_menu_hover_color',
		'label'       => __( 'Menu Hover Color', 'photographer-elementor' ),
		'type'        => 'color',
		'default'     => '#fff',
		'section'     => 'photographer_elementor_section_header',
		'transport' => 'auto',
		'choices'     => [
			'alpha' => true,
		],
		'output' => array(
			array(
				'element'  => array( '#main-menu a:hover', '#main-menu ul li a:hover', '#main-menu li:hover > a'),
				'property' => 'color',
			),

		),
	) );

	Kirki::add_field( 'theme_config_id', array(
		'settings'    => 'photographer_elementor_submenu_color',
		'label'       => __( 'Submenu Color', 'photographer-elementor' ),
		'type'        => 'color',
		'section'     => 'photographer_elementor_section_header',
		'transport' => 'auto',
		'default'     => '#000000',
		'choices'     => [
			'alpha' => true,
		],
		'output' => array(
			array(
				'element'  => array( '#main-menu ul.children li a', '#main-menu ul.sub-menu li a'),
				'property' => 'color',
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', array(
		'settings'    => 'photographer_elementor_submenu_hover_color',
		'label'       => __( 'Submenu Hover Color', 'photographer-elementor' ),
		'type'        => 'color',
		'section'     => 'photographer_elementor_section_header',
		'transport' => 'auto',
		'default'     => '#fff',
		'choices'     => [
			'alpha' => true,
		],
		'output' => array(
			array(
				'element'  => array( '#main-menu ul.children li a:hover', '#main-menu ul.sub-menu li a:hover'),
				'property' => 'color',
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', array(
		'settings'    => 'photographer_elementor_submenu_hover_background_color',
		'label'       => __( 'Submenu Hover Background Color', 'photographer-elementor' ),
		'type'        => 'color',
		'section'     => 'photographer_elementor_section_header',
		'transport' => 'auto',
		'default'     => '#ff0101',
		'choices'     => [
			'alpha' => true,
		],
		'output' => array(
			array(
				'element'  => array( '#main-menu ul.children li a:hover', '#main-menu ul.sub-menu li a:hover'),
				'property' => 'background',
			),
		),
	) );

    // POST SECTION

	Kirki::add_section( 'photographer_elementor_blog_post', array(
	    'title'          => esc_html__( 'Post Settings', 'photographer-elementor' ),
	    'description'    => esc_html__( 'Here you can add post information.', 'photographer-elementor' ),
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'photographer_elementor_date_hide',
		'label'       => esc_html__( 'Enable / Disable Post Date', 'photographer-elementor' ),
		'section'     => 'photographer_elementor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'photographer_elementor_author_hide',
		'label'       => esc_html__( 'Enable / Disable Post Author', 'photographer-elementor' ),
		'section'     => 'photographer_elementor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'photographer_elementor_comment_hide',
		'label'       => esc_html__( 'Enable / Disable Post Comment', 'photographer-elementor' ),
		'section'     => 'photographer_elementor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'photographer_elementor_length_setting_heading',
		'section'     => 'photographer_elementor_blog_post',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Blog Post Content Limit', 'photographer-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'photographer_elementor_length_setting',
		'section'     => 'photographer_elementor_blog_post',
		'default'     => '15',
		'priority'    => 10,
		'choices'  => [
					'min'  => -10,
					'max'  => 40,
		 			'step' => 1,
				],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'label'       => esc_html__( 'Enable / Disable Single Post Tag', 'photographer-elementor' ),
		'settings'    => 'photographer_elementor_single_post_tag',
		'section'     => 'photographer_elementor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'label'       => esc_html__( 'Enable / Disable Single Post Category', 'photographer-elementor' ),
		'settings'    => 'photographer_elementor_single_post_category',
		'section'     => 'photographer_elementor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );

	// FOOTER SECTION

	Kirki::add_section( 'photographer_elementor_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'photographer-elementor' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'photographer-elementor' ),
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'photographer_elementor_footer_text_heading',
		'section'     => 'photographer_elementor_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'photographer-elementor' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'photographer_elementor_footer_text',
		'section'  => 'photographer_elementor_footer_section',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'photographer_elementor_footer_enable_heading',
		'section'     => 'photographer_elementor_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'photographer-elementor' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'photographer_elementor_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'photographer-elementor' ),
		'section'     => 'photographer_elementor_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'photographer-elementor' ),
			'off' => esc_html__( 'Disable', 'photographer-elementor' ),
		],
	] );
}
